%define oname   paperclip

Name:       ruby-%{oname}
Version:    3.3.1
Release:    %mkrel 7
Summary:    File attachments as attributes for ActiveRecord
License:    MIT
Group:      Development/Ruby
URL:        http://www.thoughtbot.com/projects/paperclip
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
File attachments as attributes for ActiveRecord

%files
%dir %{gem_instdir}/
%{gem_instdir}/*
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 3.3.1-7.mga4
+ Revision: 562080
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 3.3.1-6.mga4
+ Revision: 561524
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 3.3.1-5.mga4
+ Revision: 537206
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 fwang <fwang> 3.3.1-4.mga4
+ Revision: 486527
- update file list
- use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 3.3.1-3.mga3
+ Revision: 396237
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 3.3.1-2.mga3
+ Revision: 381185
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 3.3.1-1.mga3
+ Revision: 313730
- drop old tarball
- new version 3.3.1

* Thu Mar 03 2011 shikamaru <shikamaru> 2.3.8-1.mga1
+ Revision: 63459
- New version 2.3.8
- drop patch

* Sun Feb 13 2011 shikamaru <shikamaru> 2.3.1.1-1.mga1
+ Revision: 51360
- imported package ruby-paperclip


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.3.1.1-1
- Initial package
